<id>
Advanced Language for SP1 (Add More Membergroups Compatible)
</id>

<version>
3.0 SP1
</version>

<mod info>
Please check out the readme.txt file for more information!!!

[Features]
- Let's users change the language of the board (guests & members)
- Fully controled from the admin section
- Let's you change the language of the newsfader
- Let's you change the language of the board descriptions
-* Let's you change the language of the agreement text
- Keeps a log of the language usage
- Let's you automatically add a menu in the template.html using <yabb ...> commands
- Written in English
-* By using the new template translation feature you could also make different "Themes" for your board with a little creativity.
- Mod for f2s users included (only for the included language.pl file!)
-* YaBB 1 Gold SP1 compatible

[Thanks To]
Tao Do Studio for beta testing it, and for the SP1 modifications!!!
</mod info>

<author>
niGhTHAwCK/Tao Do Studio
</author>

<homepage>
http://www.skijumpinglibrary.com
</homepage>

<edit file>
YaBB.pl
</edit file>

<search for>
require "$language";
</search for>

<add before>
# Begin FTT Corporation language mod
require "$sourcedir/language.pl";
# End FTT Corporation language mod
</add before>

<edit file>
Sources/SubList.pl
</edit file>

<search for>
'editnews2',"AdminEdit.pl&EditNews2",
</search for>

<add after>
# Begin FTT Corporation language mod",
'languagepanel',"language.pl&LanguagePanel",
'languagepanel2',"language.pl&LanguagePanel2",
'languagelog',"language.pl&languagelog",
'languagelog2',"language.pl&languagelog2",
# End FTT Corporation language mod
</add after>

<search for>
'usersrecentposts',"Profile.pl&usersrecentposts");
</search for>

<add before>
'translatenews',"language.pl&translatenews",
'translatenews2',"language.pl&translatenews2",
'translatenews3',"language.pl&translatenews3",
'translateyabb',"language.pl&goyylangdd",
'translateboards',"language.pl&translateboards",
'translateboards4',"language.pl&translateboards4",
'translateagreement',"language.pl&translateagreement",
'translateagreement2',"language.pl&translateagreement2",
'translateagreement3',"language.pl&translateagreement3",
'translatetemplate',"language.pl&translatetemplate",
'translatetemplate2',"language.pl&translatetemplate2",
'translatetemplate3',"language.pl&translatetemplate3",
# End FTT Corporation language mod
</add before>

<edit file>
Sources/Admin.pl
</edit file>

<search for>
        - <a href="$cgi;action=editnews">$txt{'7'}</a><br>
</search for>

<add after>
		<!-- Begin FTT Corporation language mod -->
        - <a href="$cgi;action=translatenews">$langtxt{'01'}</a><br>
		<!-- End FTT Corporation language mod -->
</add after>

<search for>
        - <a href="$cgi;action=modagreement">$txt{'764'}</a><br>
</search for>

<add after>
		<!-- Begin FTT Corporation language mod -->
        - <a href="$cgi;action=translateagreement">$langtxt{'02'}</a><br>
		<!-- End FTT Corporation language mod -->
</add after>

<search for>
        - <a href="$cgi;action=manageboards">$txt{'4'}</a>
</search for>

<add after>
		<!-- Begin FTT Corporation language mod -->
        <BR>- <a href="$cgi;action=translateboards">$langtxt{'03'}</a><br>
		<!-- End FTT Corporation language mod -->
</add after>

<search for>
        - <a href="$cgi;action=modsettings">$txt{'222'}</a><br>
</search for>

<add after>
		<!-- Begin FTT Corporation language mod -->
        - <a href="$cgi;action=languagepanel">$langtxt{'04'}</a><br>
		<!-- End FTT Corporation language mod -->
</add after>

<search for>
        <a href="$scripturl?action=showclicks">$txt{'693'}</a>
</search for>

<add after>
		<!-- Begin FTT Corporation language mod -->
        <br><a href="$scripturl?action=languagelog">$langtxt{'05'}</a>
		<!-- End FTT Corporation language mod -->
</add after>

<search for>
        - <a href="$cgi;action=modtemp">$txt{'216'}</a><br>
</search for>

<add after>
		<!-- Begin FTT Corporation language mod -->
        - <a href="$cgi;action=translatetemplate">$langtxt{'06'}</a><br>
		<!-- End FTT Corporation language mod -->
</add after>

<edit file>
Sources/Subs.pl
</edit file>

<search for>
		if($curline =~ m~<yabb news>~ && $enable_news) {
			fopen(FILE, "$vardir/news.txt");
</search for>

<replace>
		# Begin FTT Corporation language mod
		&getyylangmenu;
		&getlngenablenews2;
		if($curline =~ m~<yabb news>~ && $enable_news2) {
		&getlngnewsfader;
		fopen(FILE, "$vardir/$lngnewsfile.txt");
		# End FTT Corporation language mod
</replace>

<search for>
	fopen(TEMPLATE,"template.html") || die("$txt{'23'}: template.html");
</search for>

<replace>
	# Begin FTT Corporation language mod
	&getlngtemplatefile;
	fopen(TEMPLATE,"$lngtemplatefile.html") || die("$txt{'23'}: template.html");
	# Begin FTT Corporation language mod
</replace>

<edit file>
Sources/BoardIndex.pl
</edit file>

<search for>
			chomp $curboardmods;
			fclose(FILE);
</search for>

<add after>
			# Begin FTT Corporation language mod
			&getlngboard;
			# End FTT Corporation language mod
</add after>

<search for>
	if($shownewsfader == 1) {
</search for>

<replace>
	# Begin FTT Corporation language mod
	&getlngenablenews;
	if($enable_news2 == 1) {
	# End FTT Corporation language mod
</replace>

<search for>
fopen(FILE, "$vardir/news.txt");
</search for>

<replace>
# Begin FTT Corporation language mod
&getlngnewsfader;
fopen(FILE, "$vardir/$lngnewsfile.txt");
# End FTT Corporation language mod
</replace>

<search for>
	    $ims
	    </font></td>
	  </tr>
</search for>

<add after>
<!-- Begin FTT Corporation language mod -->
	~;
	&getlangmenu;
	$yymain .= qq~
	$langdd
<!-- End FTT Corporation language mod -->
</add after>

<edit file>
Sources/MessageIndex.pl
</edit file>

<search for>
	$bdescrip = $boardinfo[1];
</search for>

<add after>
	# Begin FTT Corporation language mod
	&openlngboardfile;
	$lngcurlngboard = $currentboard."_".$languagecode;
	if ($lngboard{$lngcurlngboard} eq "on") {
	$bdescrip = &getlngboard2($currentboard);
	}
	# End FTT Corporation language mod
</add after>

<edit file>
Sources/Register.pl
</edit file>

<search for>
	fopen(FILE, "$vardir/agreement.txt");
</search for>

<replace>
	# Begin FTT Corporation language mod
	&getlngagreementfile;
	fopen(FILE, "$vardir/$lngagreementfile.txt");
	# Begin FTT Corporation language mod
</replace>

<edit file>
english.lng
</edit file>

<search for>
$txt{'796'} = "Your Instant Messages:";
</search for>

<add after>
			   #Advanced Language Text
$langtxt{'01'} = "Edit YaBB News Translations";
$langtxt{'02'} = "Edit Agreement Translations";
$langtxt{'03'} = "Edit Board Translations";
$langtxt{'04'} = "Language Settings";
$langtxt{'05'} = "View language log";
$langtxt{'06'} = "Edit YaBB Template Translations";
$langtxt{'07'} = "Default News";
$langtxt{'08'} = "Details";
$langtxt{'09'} = "Delete Languages";
$langtxt{'10'} = "Language Code";
$langtxt{'11'} = "Language File";
$langtxt{'12'} = "Description";
$langtxt{'13'} = "Change";
$langtxt{'14'} = "Add Languages";
$langtxt{'15'} = "Add";
$langtxt{'16'} = "Please, note that while this would allow you to have a completely different layout for each language, it is advisable that you keep the same color settings for continuity and smoothness purpopuses.<br><br><b>Tip:</b> If you want, you can also use this to offer different 'Themes' for your board (ie: english1, english2 or english blue, english green). On that note, you could also use this to modify those extra language files to suit the mood of your different templates (for example, changing 'Hot Topic' to 'Cool Thread' in your english1.lng file or 'Memberlist' to 'Freakshow' in your englishblue.lng file).";
$langtxt{'17'} = "Show language menu in Info Center";
$langtxt{'18'} = "Show  a 'go' button with the language dropdown menu";
$langtxt{'19'} = "Instructions";
$langtxt{'20'} = "Default Language";
$langtxt{'21'} = qq~The default language of the board is set in the settings.pl file. To edit the default language, go to the <a href="$boardurl/YaBB.$yyext?board=;action=modsettings"><b>settings section</b></a>. The description of the default language can be edited here.~;
$langtxt{'22'} = "How to change the language";
$langtxt{'23'} = "To enable the users of your forum to change the language, put a link like this on your forum somewhere:<center><font size=\"-2\"><BR>&lt;a href=&quot;$boardurl/YaBB.$yyext?board=;action=;language=<i>languagecode</i>&quot;&gt;<BR>(change <i>languagecode</i> to the code of the language you want to link)</font></center><BR><BR>To link the default language:<BR><center><font size=\"-2\">&lt;a href=&quot;$boardurl/YaBB.$yyext?board=;action=;language=default&quot;&gt;</font></center><BR>";
$langtxt{'24'} = "Insert automatic links into the template";
$langtxt{'25'} = "To insert a dropdown language menu in your template, add:<BR><center><font size=\"-2\">&lt;yabb langdd&gt;</font></center><BR><br>To insert a text language menu in your template, add:<BR><center><font size=\"-2\">&lt;yabb langmenu&gt;</font></center><BR>";
$langtxt{'26'} = "not found!";
$langtxt{'27'} = "succesfully deleted!";
$langtxt{'29'} = "succesfully added!";
$langtxt{'30'} = "is already added!";
$langtxt{'31'} = "The language description is not entered!";
$langtxt{'32'} = "The language code is not entered!";
$langtxt{'33'} = "Can't Write Language List File!";
$langtxt{'34'} = "default succesfully changed!";
$langtxt{'35'} = "default is already added!";
$langtxt{'36'} = "Can't Write Language Settings File";
$langtxt{'37'} = "Deactivate the newsfader for this language";
$langtxt{'38'} = "Default News Message";
$langtxt{'39'} = "Status";
$langtxt{'40'} = "Language";
$langtxt{'41'} = "Translated News Message";
$langtxt{'42'} = "Can't Write Translated News File";
$langtxt{'43'} = "Default Agreement";
$langtxt{'44'} = "Go";
$langtxt{'45'} = "Can't Write News Language File";
$langtxt{'46'} = "Use the";
$langtxt{'47'} = "Translated Agreement";
$langtxt{'48'} = "Can't Write Translated Agreement File";
$langtxt{'49'} = "Can't Write Agreement Language File";
$langtxt{'50'} = "Select your language:";
$langtxt{'51'} = "Language Log";
$langtxt{'52'} = "Default Template";
$langtxt{'53'} = "Translated Template";
$langtxt{'54'} = "Can't Write Translated Template File";
$langtxt{'55'} = "Can't Write Template Language File";
$langtxt{'56'} = "Usage";
$langtxt{'57'} = "Last IP address";
$langtxt{'58'} = "Can't Write Language Log File";
$langtxt{'59'} = "Can't Open Language List File";
$langtxt{'60'} = "Can't Open Language Log File";
$langtxt{'61'} = "Can't Open Agreement Language File";
$langtxt{'62'} = "Can't Open Template Language File";
$langtxt{'63'} = "Can't Open News Language File";
$langtxt{'64'} = "Can't Open Boards Language File";
$langtxt{'65'} = "Category";
$langtxt{'66'} = "Board";
$langtxt{'67'} = "Default Board Information";
$langtxt{'68'} = "Default Board Description";
$langtxt{'69'} = "Board Translation Status";
$langtxt{'70'} = "Translated Board Description";
$langtxt{'71'} = "Can't Write Translated Board File";
$langtxt{'72'} = "Can't Write Board Language File";
$langtxt{'73'} = "Enable Translations for Guests and Members (Cookies)";
$langtxt{'74'} = "Enable Translations for Members Only (No Cookies)";
$langtxt{'75'} = "Enable Both Functions (No cookies for Members)";
$langtxt{'76'} = "Use Cookie Defined Language";
$langtxt{'77'} = "Can't Write Language Profile file";
$langtxt{'78'} = "News";
$langtxt{'79'} = "Fader";
			   #Advanced Language Text
</add after>

<edit file>
Sources/Profile.pl
</edit file>

<search for>
	$yymain .= qq~
    </table>
    </td>
  </tr><tr>
    <td class="catbg" bgcolor="$color{'catbg'}" height="25" align="center"><font size=2><BR>
</search for>

<add before>
# Begin FTT Corporation language mod
&getlangprofile;
# End FTT Corporation language mod
</add before>

<search for>
		fopen( FILE, ">$memberdir/$member{'username'}.dat", 1);
</search for>

<add before>
# Begin FTT Corporation language mod
&savelangprofile;
# End FTT Corporation language mod
</add before>